import datetime


def format_currency(x):
    # It would be nicer to format this using the German locale
    # Too lazy to bother tho.
    return f"{x:.02f}€".replace(".", ",")


def format_date(d):
    return d.strftime("%Y-%m-%d")


def format_bool(x):
    return "✅" if x else "❌"


def now():
    return datetime.datetime.now()


def get_garfield_price(net_unit_price, tax_group_id):
    if tax_group_id == 1:
        tax_factor = 1.19
    elif tax_group_id == 2:
        tax_factor = 1.07
    else:
        raise Error("Unknown tax group ID")

    return net_unit_price * tax_factor + 0.01
